## WebKitDOMCharacterData WebKitDOMCharacterData |

## Functions

gchar * | webkit_dom_character_data_substring_data ()
void | webkit_dom_character_data_append_data ()
void | webkit_dom_character_data_insert_data ()
void | webkit_dom_character_data_delete_data ()
void | webkit_dom_character_data_replace_data ()
gchar * | webkit_dom_character_data_get_data ()
void | webkit_dom_character_data_set_data ()
gulong | webkit_dom_character_data_get_length ()

## Properties

char * | data | Read / Write
gulong | length | Read

## Types and Values

struct | WebKitDOMCharacterData

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMCharacterData
                    ├── WebKitDOMText
                    ├── WebKitDOMComment
                    ╰── WebKitDOMProcessingInstruction

## Implemented Interfaces

WebKitDOMCharacterData implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_character_data_substring_data ()

    gchar *
    webkit_dom_character_data_substring_data
                                   (WebKitDOMCharacterData *self,
                                    gulong offset,
                                    gulong length,
                                    GError **error);

`webkit_dom_character_data_substring_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
length | A gulong |
error | GError |

#### Returns

A gchar

### webkit_dom_character_data_append_data ()

    void
    webkit_dom_character_data_append_data (WebKitDOMCharacterData *self,
                                           const gchar *data,
                                           GError **error);

`webkit_dom_character_data_append_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |
data | A gchar |
error | GError |

### webkit_dom_character_data_insert_data ()

    void
    webkit_dom_character_data_insert_data (WebKitDOMCharacterData *self,
                                           gulong offset,
                                           const gchar *data,
                                           GError **error);

`webkit_dom_character_data_insert_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
data | A gchar |
error | GError |

### webkit_dom_character_data_delete_data ()

    void
    webkit_dom_character_data_delete_data (WebKitDOMCharacterData *self,
                                           gulong offset,
                                           gulong length,
                                           GError **error);

`webkit_dom_character_data_delete_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
length | A gulong |
error | GError |

### webkit_dom_character_data_replace_data ()

    void
    webkit_dom_character_data_replace_data
                                   (WebKitDOMCharacterData *self,
                                    gulong offset,
                                    gulong length,
                                    const gchar *data,
                                    GError **error);

`webkit_dom_character_data_replace_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |
offset | A gulong |
length | A gulong |
data | A gchar |
error | GError |

### webkit_dom_character_data_get_data ()

    gchar *
    webkit_dom_character_data_get_data (WebKitDOMCharacterData *self);

`webkit_dom_character_data_get_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |

#### Returns

A gchar

### webkit_dom_character_data_set_data ()

    void
    webkit_dom_character_data_set_data (WebKitDOMCharacterData *self,
                                        const gchar *value,
                                        GError **error);

`webkit_dom_character_data_set_data` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |
value | A gchar |
error | GError |

### webkit_dom_character_data_get_length ()

    gulong
    webkit_dom_character_data_get_length (WebKitDOMCharacterData *self);

`webkit_dom_character_data_get_length` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMCharacterData |

#### Returns

A gulong

## Types and Values

### struct WebKitDOMCharacterData

    struct WebKitDOMCharacterData;

## Property Details

### The `“data”` property

      “data”                     char *

read-write gchar* CharacterData:data.

Owner: WebKitDOMCharacterData

Flags: Read / Write

Default value: ""

### The `“length”` property

      “length”                   gulong

read-only gulong CharacterData:length.

Owner: WebKitDOMCharacterData

Flags: Read